help = {
	page = 1,
	pageCount = 6,
	draw = function()
		
		-- Clear the background.
		screen.fillrect(0, 0, 360, 240, color.new(255, 255, 153))
		
		-- Draw the control panel background to the right of the screen.
		screen.fillrect(360, 0, 40, 240, color.new(192, 192, 192))
		screen.fillrect(360, 0, 2, 240, color.new(255, 255, 255))
		
		-- Draw the help item.
		img = image.load("images/help/" .. help.page .. ".png")
		img:draw(10, 10)
		img:close()
		
		-- Draw the navigation buttons.
		if help.page > 1 then
			img = image.load("images/scroll-up.png")
		else
			img = image.load("images/scroll-up-disabled.png")
		end
		img:draw(366, 3)
		img:close()
		
		if help.page < help.pageCount then
			img = image.load("images/scroll-down.png")
		else
			img = image.load("images/scroll-down-disabled.png")
		end
		img:draw(366, 207)
		img:close()
		
		-- Draw the "Return to main menu" button.
		img = image.load("images/" .. help.returnButton .. ".png")
		img:draw(366, 36)
		img:close()
		

	end,
	close = function()
		local buttonPressed = image.load("images/" .. help.returnButton .. "-pressed.png")
		buttonPressed:draw(366, 36)
		buttonPressed:close()
		screen.update()
		-- Play a sound.
		sounds.play("clck")
		-- Quit.
		help.quit = true
	end,
	show = function()
		-- Start from page 1.
		help.page = 1
		help.returnButton = "return-to-main-menu"
		help.run()
	end,
	showInGame = function(page)
		help.page = page
		help.returnButton = "return-to-game"
		help.run()
	end,
	run = function()
		
		-- Draw the help.
		help.draw()
		screen.update()
		
		-- Handle input.
		help.quit = false
		while not help.quit do
			
			-- Attempt to get input.
			if control.read() == 1 then
				if control.isButton() == 1 then
					if button.click() == 1 then
						help.close()
					elseif button.hold() == 1 then
						settings.show()
						help.draw()
						screen.update()
					end
				elseif control.isTouch() == 1 then
					if touch.click() == 1 then
						x, y = touch.pos()
						if x >= 360 and x < 400 then
							-- We've tapped on the control panel.
							if y >= 3 and y <= 33 and help.page > 1 then
								-- Move up a page.
								help.page = help.page - 1
								-- Draw the pressed button and play a sound.
								img = image.load("images/scroll-up-pressed.png")
								img:draw(366, 3)
								img:close()
								screen.update()
								sounds.play("clck")
								os.sleep(10)
								-- Draw the new help page.
								help.draw()
								screen.update()
							elseif y >= 207 and y < 237 and help.page < help.pageCount then
								-- Move down a page.
								help.page = help.page + 1
								-- Draw the pressed button and play a sound.
								img = image.load("images/scroll-down-pressed.png")
								img:draw(366, 207)
								img:close()
								screen.update()
								sounds.play("clck")
								os.sleep(10)
								-- Draw the new help page.
								help.draw()
								screen.update()
							elseif y >= 36 and y < 204 then
								help.close()
							end
						end
					end
				end
			end
			
			os.sleep(10)
		end
	end
}